#!/usr/bin/python

import unittest
from QtSparql import *
from helper import UsesQCoreApplication

class QtSparqlTest(UsesQCoreApplication):
    def setUp(self):
        UsesQCoreApplication.setUp(self)
        self.connection = QSparqlConnection("QTRACKER")

    def testQSparqlQuery(self):
        query = QSparqlQuery("select ?u { ?u a nco:Contact . }")
        result = self.connection.exec_(query)
        print result

if __name__ == "__main__":
    unittest.main()

